#!/usr/bin/env python3
# Name    N       nc      c       nv      v
at_conf_dict = {
'E':    [0, 0, '-', 1, '1s' ],
'H':    [ 1, 0, '-', 1, '1s' ],
'He':   [ 2, 0, '-', 1, '1s' ],
'Li':   [ 3, 1, '1s', 2, '2s2p' ],
'Be':   [ 4, 1, '1s', 2, '2s2p' ],
'B':    [ 5, 1, '1s', 2, '2s2p' ],
'C':    [ 6, 1, '1s', 2, '2s2p' ],
'N':    [ 7, 1, '1s', 2, '2s2p' ],
'O':    [ 8, 1, '1s', 2, '2s2p' ],
'F':    [ 9, 1, '1s', 2, '2s2p' ],
'Ne':   [ 10, 1, '1s', 2, '2s2p' ],
'Na':   [ 11, 3, '1s2s2p', 2, '3s3p' ],
'Mg':   [ 12, 3, '1s2s2p', 2, '3s3p' ],
'Al':   [ 13, 3, '1s2s2p', 2, '3s3p' ],
'Si':   [ 14, 3, '1s2s2p', 2, '3s3p' ],
'P':    [ 15, 3, '1s2s2p', 2, '3s3p' ],
'S':    [ 16, 3, '1s2s2p', 2, '3s3p' ],
'Cl':   [ 17, 3, '1s2s2p', 2, '3s3p' ],
'Ar':   [ 18, 3, '1s2s2p', 2, '3s3p' ],
'K':    [ 19, 5, '1s2s2p3s3p', 2, '4s4p' ],
'Ca':   [ 20, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Sc':   [ 21, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Ti':   [ 22, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'V':    [ 23, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Cr':   [ 24, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Mn':   [ 25, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Fe':   [ 26, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Co':   [ 27, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Ni':   [ 28, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Cu':   [ 29, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Zn':   [ 30, 5, '1s2s2p3s3p', 3, '4s4p3d' ],
'Ga':   [ 31, 6, '1s2s2p3s3p3d', 2, '4s4p' ],
'Ge':   [ 32, 6, '1s2s2p3s3p3d', 2, '4s4p' ],
'As':   [ 33, 6, '1s2s2p3s3p3d', 2, '4s4p' ],
'Se':   [ 34, 6, '1s2s2p3s3p3d', 2, '4s4p' ],
'Br':   [ 35, 6, '1s2s2p3s3p3d', 2, '4s4p' ],
'Kr':   [ 36, 6, '1s2s2p3s3p3d', 2, '4s4p' ],
'Rb':   [ 37, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Sr':   [ 38, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Y':    [ 39, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Zr':   [ 40, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Nb':   [ 41, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Mo':   [ 42, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Tc':   [ 43, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Ru':   [ 44, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Rh':   [ 45, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Pd':   [ 46, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Ag':   [ 47, 8, '1s2s2p3s3p3d4s4p', 2, '5s5p' ],
'Cd':   [ 48, 9, '1s2s2p3s3p3d4s4p4d', 2, '5s5p' ],
'In':   [ 49, 9, '1s2s2p3s3p3d4s4p4d', 2, '5s5p' ],
'Sn':   [ 50, 9, '1s2s2p3s3p3d4s4p4d', 2, '5s5p' ],
'Sb':   [ 51, 9, '1s2s2p3s3p3d4s4p4d', 2, '5s5p' ],
'Te':   [ 52, 9, '1s2s2p3s3p3d4s4p4d', 2, '5s5p' ],
'I':    [ 53, 9, '1s2s2p3s3p3d4s4p4d', 2, '5s5p' ],
'Xe':   [ 54, 9, '1s2s2p3s3p3d4s4p4d', 2, '5s5p' ],
'Cs':   [ 55, 11, '1s2s2p3s3p3d4s4p4d5s5p', 3, '6s6p5d4f' ],
'Ba':   [ 56, 11, '1s2s2p3s3p3d4s4p4d5s5p', 3, '6s6p5d4f' ],
'La':   [ 57, 11, '1s2s2p3s3p3d4s4p4d5s5p', 3, '6s6p5d4f' ],
'Ce':   [ 58, 10, '1s2s2p3s3p3d4s4p4d5s', 5, '4f5p6s6p5d' ],
'Pr':   [ 59, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Nd':   [ 60, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Pm':   [ 61, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Sm':   [ 62, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Eu':   [ 63, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Gd':   [ 64, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Tb':   [ 65, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Dy':   [ 66, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Ho':   [ 67, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Er':   [ 68, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Tu':   [ 69, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Yt':   [ 70, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Lu':   [ 71, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Hf':   [ 72, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Ta':   [ 73, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'W':    [ 74, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Re':   [ 75, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Os':   [ 76, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Ir':   [ 77, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Pt':   [ 78, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Au':   [ 79, 12, '1s2s2p3s3p3d4s4p4d4f5s5p', 3, '6s6p5d' ],
'Hg':   [ 80, 13, '1s2s2p3s3p3d4s4p4d4f5s5p5d', 2, '6s6p' ],
'Tl':   [ 81, 13, '1s2s2p3s3p3d4s4p4d4f5s5p5d', 2, '6s6p' ],
'Pb':   [ 82, 13, '1s2s2p3s3p3d4s4p4d4f5s5p5d', 2, '6s6p' ],
'Bi':   [ 83, 13, '1s2s2p3s3p3d4s4p4d4f5s5p5d', 2, '6s6p' ],
'Po':   [ 84, 13, '1s2s2p3s3p3d4s4p4d4f5s5p5d', 2, '6s6p' ],
'At':   [ 85, 13, '1s2s2p3s3p3d4s4p4d4f5s5p5d', 2, '6s6p' ],
'Rn':   [ 86, 13, '1s2s2p3s3p3d4s4p4d4f5s5p5d', 2, '6s6p' ],
'Fr':   [ 87, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Ra':   [ 88, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Ac':   [ 89, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Th':   [ 90, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Pa':   [ 91, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'U':    [ 92, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Np':   [ 93, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Pu':   [ 94, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Am':   [ 95, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Cm':   [ 96, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Bk':   [ 97, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ],
'Cf':   [ 98, 15, '1s2s2p3s3p3d4s4p4d4f5s5p5d6s6p', 4, '7s7p6d5f' ]
}
